function z = getM(p, u, v),

% GET return the value of the Zernikie polynomial 
%
%   z = getM(zk, u, v),
%
% where 
%       zk  = zernike object
%       phi = angle  
%       r   = radial value 

% added matrix return capability

% return a field of the struct
if (ischar(u)),
    z = zk.(u); 
    return
end

if (size(u,2) > 1),
    warning('getM - the input has too many dimensions I think...');
end

z   = bsp2dgetM(p.n, p.m, p.kt{1}, p.kt{2}, p.degree(1), p.degree(2), u, v);
% z   = bsp2dgetM(p.n+1, p.m+1, p.kt{1}, p.kt{2}, p.degree(1), p.degree(2), u, v);
    
return
