function z = getdv(zk, x1, x2, strf),

% GETDV return the value of the Zernikie polynomial 
%
%   z = getdv(zk, x1, x2,<phi,rho>),
%
% where 
%       zk  = zernike object

%       phi = angle  
%       r   = radial value 
%
% nb : changed 24/1/06 simplified coding 

% added matrix return capability
M1 = getMdv(zk, x1, x2, strf);
z   = M1*zk.coeff(:); 
return